Subject: RE: ASN.1 and XER

From: Jack Kabat <[email-masked]>
Date: Mon, 13 Dec 1999 12:42:40 -0800

Thanks for sending the info Mike.

The ASN.1 parser generates C code files that build on top of the ASN.1
functionality that is available with Eric Young's SSleay and now openSSL
(http://www.openssl.org/). The parser is free and source code is available
for modifications so one could change the code generation phase to something
other then SSLeay/openSSL specific constructs.

For more info please see http://www.valicert.com/developers/parser/

thanks,

jack

> -----Original Message-----
> From: Mike Eisler [mailto:[email-masked]]
> Sent: Thursday, December 09, 1999 3:16 PM
> To: Keith Burdis
> Cc: [email-masked]
> Subject: Re: ASN.1 and XER
> 
> 
> Folks might also want to look at 
> http://www.valicert.com/download/ and look
> for the ASN.1 parser link. From what I gather (please correct 
> me if I'm wrong
> Jack), but Jack Kabat has written a parser that generates C 
> code that invokes
> SSLeay ASN.1 primitives to encode and decoe ASN.1. This 
> should, in theory,
> take much of the pain out of dealing with ASN.1 in C. 
> 
> > I believe it would be appropriate to discuss whether we should take
> >     steps to make the standard more easily implementable, 
> and eschewing
> >     the use of ASN.1 in favor of explicitly designed packet 
> forms is one
> >     of the ways that we might make the standard much more 
> successful."
> >       
> >        -- Theodore Y. Ts'o - IETF CAT WG mailing list - 
> Fri, 5 Mar 1999
> 
> A lot of the public key technology is specified with ASN.1, 
> X.509 certificates
> for example. GSS-API itself has tiny bit of ASN.1 compared to 
> the ASN.1 that
> many GSS-API plug ins might need. Thus I'm not sure if making GSS-API
> eschew ASN.1 is a big savings.
> 
> Instead, if the combination of OpenSSL (www.openssl.org has 
> SSLeay code) +
> the ValiCert parser doesn't yield a workable approach, then I 
> suggest that
> interested folks find a way to fund a body like the Internet Software
> Consortium to produce tools to make dealing with ASN.1 easier. 
> 
> 	-mre
> 
> ==============================================================
> ============
> This message was posted through the Stanford campus mailing list
> server.  If you wish to unsubscribe from this mailing list, send the
> message body of "unsubscribe ietf-cat-wg" to 
> [email-masked]
> 
==========================================================================
This message was posted through the Stanford campus mailing list
server.  If you wish to unsubscribe from this mailing list, send the
message body of "unsubscribe ietf-cat-wg" to [email-masked]